Show / Hide Table of Contents

# Class ToastGui

##### Inheritance

System.Object
ToastGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class ToastGui : IDisposable

### Constructors

| Improve this Doc View Source

#### ToastGui(SigScanner, Dalamud)

##### Declaration

    public ToastGui(SigScanner scanner, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner |
Dalamud | dalamud |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### ShowError(SeString)

Show an error toast message with the given content.

##### Declaration

    public void ShowError(SeString message)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | The message to be shown

| Improve this Doc View Source

#### ShowError(String)

Show an error toast message with the given content.

##### Declaration

    public void ShowError(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message to be shown

| Improve this Doc View Source

#### ShowNormal(SeString, ToastOptions)

Show a toast message with the given content.

##### Declaration

    public void ShowNormal(SeString message, ToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | The message to be shown
ToastOptions | options | Options for the toast

| Improve this Doc View Source

#### ShowNormal(String, ToastOptions)

Show a toast message with the given content.

##### Declaration

    public void ShowNormal(string message, ToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message to be shown
ToastOptions | options | Options for the toast

| Improve this Doc View Source

#### ShowQuest(SeString, QuestToastOptions)

Show a quest toast message with the given content.

##### Declaration

    public void ShowQuest(SeString message, QuestToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | message | The message to be shown
QuestToastOptions | options | Options for the toast

| Improve this Doc View Source

#### ShowQuest(String, QuestToastOptions)

Show a quest toast message with the given content.

##### Declaration

    public void ShowQuest(string message, QuestToastOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message | The message to be shown
QuestToastOptions | options | Options for the toast

### Events

| Improve this Doc View Source

#### OnErrorToast

Event that will be fired when an error toast is sent by the game or a plugin.

##### Declaration

    public event ToastGui.OnErrorToastDelegate OnErrorToast

##### Event Type

Type | Description
--- | ---
ToastGui.OnErrorToastDelegate |

| Improve this Doc View Source

#### OnQuestToast

Event that will be fired when a quest toast is sent by the game or a plugin.

##### Declaration

    public event ToastGui.OnQuestToastDelegate OnQuestToast

##### Event Type

Type | Description
--- | ---
ToastGui.OnQuestToastDelegate |

| Improve this Doc View Source

#### OnToast

Event that will be fired when a toast is sent by the game or a plugin.

##### Declaration

    public event ToastGui.OnNormalToastDelegate OnToast

##### Event Type

Type | Description
--- | ---
ToastGui.OnNormalToastDelegate |

### Implements

System.IDisposable